Subject: Re: bug#2222: 23.0.90; Labels in RMAIL

From: Glenn Morris <[email-masked]>
Date: Wed, 11 Feb 2009 22:30:39 -0500

Richard M Stallman wrote:

>     Still missing is completion over all labels defined for a given
>     folder. That could be done by scanning all the X-RMAIL-KEYWORDS
>     headers, but it might be slow.
>
> That's why I did not implement it.  In Babyl format, the list was
> stored in the beginning of the file, so this completion could be fast.
> I don't see any reliable way to do that with mbox files.

Creating a summary reads the necessary information anyway. I've now
made it so that all labels are available for completion after the
summary has been generated.

So I'd say this is done, except for the no-summary case.